Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Client

Name

### stop()

Examples

    import processing.net.*;
    Client myClient;
    int dataIn;

    void setup() {
      size(200, 200);
      // Connect to the local machine at port 5204.
      // This example will not run if you haven't
      // previously started a server on this port
      myClient = new Client(this, "127.0.0.1", 5204);
      println(myClient.ip());
    }

    void draw() {
      if (myClient.available() > 0) {
        dataIn = myClient.read();
      }
      background(dataIn);
    }

    void mousePressed() {
      myClient.stop();
    }

Description | Disconnects from the server. Use to shut the connection when you're finished with the Client.

Syntax

    client.stop()

Parameters

client | any variable of type Client

Returns | int
Usage | Application

Updated on June 14, 2010 12:05:29pm EDT